System Requirements

Your computer must meet the minimum system requirements before you can install and use Modelio.

Modelio is available on Windows, Linux and Mac OS platforms. Please read the specific requirements for the platform on which you want to install and use Modelio.

Minimum System/Hardware configuration

system tools

  • Pentium IV 1 Ghz or higher
  • Minimum 1GB memory, 3GB recommended (*)
  • 700 MB hard drive or more (*)
  • Java 8 (from Modelio 3.3)

(*) depending on the size of the project

Platforms specific configurations

 

windows8-32 Windows

Modelio is compatible with Windows 7 SP1, Windows 8.1, Windows 10 or later.

IE10+ (or any other web browser: Chrome, Firefox, ...) is required as system web browser for supporting HTML notes.

linux-32 Linux

Modelio is compatible with Redhat Enterprise Linux 6/7, Debian 7/8/9 and Ubuntu 14.04/16.04 LTS.

Linux libraries

Before you install Modelio on a Linux platform, make sure the following libraries are installed:

  • libc6
  • libatk
  • libcairo
  • libgtk2
  • libglib2
  • libwebkitgtk-1.0
  • libxtst6
  • stdc++ 6

User rights

The user account used to perform the installation must have administrator privileges then a standard account can be used to run Modelio.

mac os Mac OS

Modelio is compatible with Mac OS X 10.9/10.10/10.11.

Mac OS X requires the Java JDK 8 (not only JRE). Please note that the JDK 9 is not supported!
On Mac OS X you can have more than one JDK so you must be sure that Modelio is launched in an environment running the JDK 8. Please read the following forum post "Running Modelio on a MacOS X workstation" for obtaining more information on configuring the system if you have multiple versions of the JDK on your system or if you encounter errors on Modelio startup.

 

^ Back to Top